### Function

# PangoCairo.FontMap.new_for_font_type

#### Declaration [src]

    PangoFontMap*
    pango_cairo_font_map_new_for_font_type (
      cairo_font_type_t fonttype
    )

#### Description [src]

Creates a new `PangoCairoFontMap` object of the type suitable to be used with cairo font backend of type `fonttype`.

In most cases one should simply use [type_func@PangoCairo.FontMap.new], or in fact in most of those cases, just use `pango_cairo_font_map_get_default()`.

#### Parameters

`fonttype` | `cairo_font_type_t`
| desired #cairo_font_type_t

#### Return value

Returns: `PangoFontMap*`
the newly allocated `PangoFontMap` of suitable type which should be freed with `g_object_unref()`, or `NULL` if the requested cairo font backend is not supported / compiled in.
Ownership of the data is transferred to the caller
Can be `NULL`